*
* Generic triode model: 12BH7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:14 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 12BH7 A G K
.param GG {(V(G,K)+0.99999999)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.044635144*EP)^-1.6555735)}
.param M2 {((0.47534942*URAMP(GG+EP/11.754204))^3.1555735)}
.param P  {(0.0021126435*URAMP(GG+EP/24.727503)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0024875937*M1*M2)}
.param IG {(0.00112*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00112*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.6p
CGK G K 3.2p
CAK A K 0.5p
.ENDS
