*
* Generic triode model: 20P1T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:18 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 20P1T A G K
.param GG {(V(G,K)+0.99999997)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.15450603*EP)^-1.2979847)}
.param M2 {((0.53610015*URAMP(GG+EP/3.0024709))^2.7979847)}
.param P  {(0.002051274*URAMP(GG+EP/5.6005784)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0017001298*M1*M2)}
.param IG {(0.001025637*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0015988677*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.5p
CGK G K 13.5p
CAK A K 10.5p
.ENDS
