*
* Generic triode model: 3C33
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:38:58 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 3C33 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.045418916*EP)^-0.95262383)}
.param M2 {((0.61158991*URAMP(GG+EP/8.5517252))^2.4526238)}
.param P  {(0.0048487914*URAMP(GG+EP/13.982777)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0031463341*M1*M2)}
.param IG {(0.0024243957*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0029537409*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 5p
CGK G K 8.5p
CAK A K 4p
.ENDS
