*
* Generic triode model: 5687
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:01 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 5687 A G K
.param GG {(V(G,K)+0.35624804)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.022532918*EP)^-0.73087992)}
.param M2 {((0.67238043*URAMP(GG+EP/14.539598))^2.2308799)}
.param P  {(0.0048744976*URAMP(GG+EP/21.624065)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0028821468*M1*M2)}
.param IG {(0.0024372488*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0027792585*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 4p
CAK A K 0.6p
.ENDS
