*
* Generic triode model: 6146BT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:12 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT 6146BT A G K
.param GG {(V(G,K)+0.99999998)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.058258554*EP)^-0.41427032)}
.param M2 {((0.78358839*URAMP(GG+EP/3.7146753))^1.9142703)}
.param P  {(0.001563206*URAMP(GG+EP/4.7405951)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0009173158*M1*M2)}
.param IG {(0.000781603*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0013014595*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 5.3p
CGK G K 7.7p
CAK A K 8.3p
.ENDS
