*
* Generic triode model: 6197T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:13 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6197T A G K
.param GG {(V(G,K)+0.45955375)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.014421851*EP)^-0.5339196)}
.param M2 {((0.73749228*URAMP(GG+EP/18.202083))^2.0339196)}
.param P  {(0.0053217435*URAMP(GG+EP/24.681049)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0030656981*M1*M2)}
.param IG {(0.0026608717*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.002987557*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.7p
CGK G K 6.9p
CAK A K 5p
.ENDS
