*
* Generic triode model: 62BTT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:25 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 62BTT A G K
.param GG {(V(G,K)+0.99999993)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.10647561*EP)^-1.0560332)}
.param M2 {((0.58684685*URAMP(GG+EP/3.8802609))^2.5560332)}
.param P  {(0.002839063*URAMP(GG+EP/6.6120504)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0019598422*M1*M2)}
.param IG {(0.0014195315*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0020873677*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.5p
CGK G K 13.5p
CAK A K 10.5p
.ENDS
