*
* Generic triode model: 6AK6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:03 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6AK6T A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.047037015*EP)^-0.80231696)}
.param M2 {((0.65151759*URAMP(GG+EP/7.4086847))^2.302317)}
.param P  {(0.00071109747*URAMP(GG+EP/11.371427)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00043043074*M1*M2)}
.param IG {(0.00035554873*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00045138222*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.5p
CGK G K 2.1p
CAK A K 4.1p
.ENDS
