*
* Generic triode model: 6BX7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:25 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6BX7 A G K
.param GG {(V(G,K)+0.99999999)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.044756942*EP)^-0.87869992)}
.param M2 {((0.63059657*URAMP(GG+EP/8.253545))^2.3786999)}
.param P  {(0.0032697035*URAMP(GG+EP/13.088471)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0020437592*M1*M2)}
.param IG {(0.0016348517*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0020166439*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.2p
CGK G K 4.8p
CAK A K 1.2p
.ENDS
