*
* Generic triode model: 6C19P
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:31 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6C19P A G K
.param GG {(V(G,K)+0.10684511)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.32782347*EP)^-1.8567866)}
.param M2 {((0.44685593*URAMP(GG+EP/1.687323))^3.3567866)}
.param P  {(0.0032573245*URAMP(GG+EP/3.7759889)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0048409525*M1*M2)}
.param IG {(0.0016286622*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0030048458*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 8p
CGK G K 6.5p
CAK A K 2.5p
.ENDS
