*
* Generic triode model: 6C4
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:26 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT 6C4 A G K
.param GG {(V(G,K)+0.736372)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.038076967*EP)^-1.295136)}
.param M2 {((0.53664652*URAMP(GG+EP/12.168865))^2.795136)}
.param P  {(0.0010502869*URAMP(GG+EP/22.675755)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00086837935*M1*M2)}
.param IG {(0.00055989418*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00049903612*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.6p
CGK G K 1.8p
CAK A K 1.3p
.ENDS
