*
* Generic triode model: 6CA10
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:34 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6CA10 A G K
.param GG {(V(G,K)+0.85922191)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.052995899*EP)^-0.89537568)}
.param M2 {((0.62620658*URAMP(GG+EP/7.0532519))^2.3953757)}
.param P  {(0.0063159843*URAMP(GG+EP/11.263459)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.003979238*M1*M2)}
.param IG {(0.0031579921*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.004017519*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 16p
CGK G K 24p
CAK A K 16p
.ENDS
