*
* Generic triode model: 6DE71
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:46 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6DE71 A G K
.param GG {(V(G,K)+0.97660212)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.012940444*EP)^-0.39564264)}
.param M2 {((0.79128838*URAMP(GG+EP/16.128628))^1.8956426)}
.param P  {(0.00091559181*URAMP(GG+EP/20.382743)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00054039164*M1*M2)}
.param IG {(0.00045779591*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00052599563*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 2.2p
CAK A K 0.5p
.ENDS
