*
* Generic triode model: 6DQ6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:50 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6DQ6T A G K
.param GG {(V(G,K)+-1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.17812317*EP)^-1.6443126)}
.param M2 {((0.47705181*URAMP(GG+EP/2.9358797))^3.1443126)}
.param P  {(0.0034562529*URAMP(GG+EP/6.1542156)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0040197798*M1*M2)}
.param IG {(0.0017281264*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0026038839*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 6.3p
CGK G K 8.7p
CAK A K 6.5p
.ENDS
