*
* Generic triode model: 6FQ7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:05 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6FQ7 A G K
.param GG {(V(G,K)+0.78479196)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.019086702*EP)^-0.69767797)}
.param M2 {((0.68253858*URAMP(GG+EP/16.632597))^2.197678)}
.param P  {(0.0010973242*URAMP(GG+EP/24.368728)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00064328217*M1*M2)}
.param IG {(0.00054866211*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00061689541*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 3.8p
CGK G K 2.4p
CAK A K 0.3p
.ENDS
