*
* Generic triode model: 6GB8T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:09 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6GB8T A G K
.param GG {(V(G,K)+0.18361766)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.023367579*EP)^-0.5778846)}
.param M2 {((0.72188802*URAMP(GG+EP/11.901617))^2.0778846)}
.param P  {(0.0065222813*URAMP(GG+EP/16.486791)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0037584671*M1*M2)}
.param IG {(0.0032611407*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0038634597*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 10.8p
CGK G K 13.4p
CAK A K 16.3p
.ENDS
