*
* Generic triode model: 6JS6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:19 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6JS6T A G K
.param GG {(V(G,K)+0.9999936)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.21913245*EP)^-1.3747601)}
.param M2 {((0.52178266*URAMP(GG+EP/2.1823209))^2.8747601)}
.param P  {(0.0035536558*URAMP(GG+EP/4.1824327)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0031522524*M1*M2)}
.param IG {(0.0017768279*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0031247106*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 10p
CGK G K 14p
CAK A K 9.3p
.ENDS
