*
* Generic triode model: 6K6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:22 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6K6T A G K
.param GG {(V(G,K)+0.99999995)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.055289504*EP)^-0.63369812)}
.param M2 {((0.70300479*URAMP(GG+EP/5.3716382))^2.1336981)}
.param P  {(0.00053448807*URAMP(GG+EP/7.6409696)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00030960116*M1*M2)}
.param IG {(0.00022926513*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00032413346*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.5p
CGK G K 3p
CAK A K 5.5p
.ENDS
