*
* Generic triode model: 6RA2
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:44 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6RA2 A G K
.param GG {(V(G,K)+0.99999998)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.16011188*EP)^-0.98934882)}
.param M2 {((0.60256722*URAMP(GG+EP/2.4822192))^2.4893488)}
.param P  {(0.0023398311*URAMP(GG+EP/4.1194063)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0015501289*M1*M2)}
.param IG {(0.0011699156*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0020717035*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 5.2p
CGK G K 6.9p
CAK A K 5.4p
.ENDS
