*
* Generic triode model: 6RA6
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:46 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6RA6 A G K
.param GG {(V(G,K)+-0.45045978)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.022786797*EP)^-0.63709179)}
.param M2 {((0.70188843*URAMP(GG+EP/13.082645))^2.1370918)}
.param P  {(0.005552851*URAMP(GG+EP/18.639209)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0032180177*M1*M2)}
.param IG {(0.0027764255*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0032292352*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 6.5p
CGK G K 5p
CAK A K 1.2p
.ENDS
