*
* Generic triode model: 6SJ7T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:55 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6SJ7T A G K
.param GG {(V(G,K)+0.40161932)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.02462593*EP)^-0.84287662)}
.param M2 {((0.64023858*URAMP(GG+EP/14.609049))^2.3428766)}
.param P  {(0.0011655656*URAMP(GG+EP/22.818133)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00071703729*M1*M2)}
.param IG {(0.00068041382*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00044226898*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.4p
CGK G K 3.6p
CAK A K 7p
.ENDS
