*
* Generic triode model: 9002
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:28 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 9002 A G K
.param GG {(V(G,K)+0.90658712)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.01433184*EP)^-0.61356953)}
.param M2 {((0.70969986*URAMP(GG+EP/20.255608))^2.1135695)}
.param P  {(0.00098929697*URAMP(GG+EP/28.541091)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00057163937*M1*M2)}
.param IG {(0.00049464849*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00054709459*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.4p
CGK G K 1.2p
CAK A K 1.1p
.ENDS
