*
* Generic triode model: E180CC
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:33 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT E180CC A G K
.param GG {(V(G,K)+0.56698133)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.01851887*EP)^-1.618055)}
.param M2 {((0.48106912*URAMP(GG+EP/28.021736))^3.118055)}
.param P  {(0.004697796*URAMP(GG+EP/58.248876)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0053104514*M1*M2)}
.param IG {(0.002348898*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0024703913*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.3p
CGK G K 3.5p
CAK A K 0.5p
.ENDS
