*
* Generic triode model: E182CC
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:34 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT E182CC A G K
.param GG {(V(G,K)+0.56912497)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.020096637*EP)^-0.83371956)}
.param M2 {((0.64275075*URAMP(GG+EP/17.776569))^2.3337196)}
.param P  {(0.0068220515*URAMP(GG+EP/27.657018)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0041807778*M1*M2)}
.param IG {(0.0034110257*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0037843497*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.1p
CGK G K 6p
CAK A K 1.1p
.ENDS
