*
* Generic triode model: EL12T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:44 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT EL12T A G K
.param GG {(V(G,K)+0.99999993)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.014506242*EP)^-0.43509457)}
.param M2 {((0.77515592*URAMP(GG+EP/15.499816))^1.9350946)}
.param P  {(0.0044414767*URAMP(GG+EP/19.99574)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0025921537*M1*M2)}
.param IG {(0.0022207383*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0025580516*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.4p
CGK G K 5.7p
CAK A K 5.9p
.ENDS
