*
* Generic triode model: EL32T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:47 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT EL32T A G K
.param GG {(V(G,K)+0.99999999)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.12471331*EP)^-1.9909547)}
.param M2 {((0.42968188*URAMP(GG+EP/4.5730334))^3.4909547)}
.param P  {(0.0011713028*URAMP(GG+EP/10.642835)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0020582453*M1*M2)}
.param IG {(0.00058565141*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00075455382*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 5.6p
CGK G K 2.4p
CAK A K 4p
.ENDS
