*
* Generic triode model: WE104D
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:08 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT WE104D A G K
.param GG {(V(G,K)+-0.56998685)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.125122*EP)^-0.50749668)}
.param M2 {((0.74719924*URAMP(GG+EP/2.0204341))^2.0074967)}
.param P  {(0.00015779238*URAMP(GG+EP/2.7040098)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*9.1039243e-05*M1*M2)}
.param IG {(7.8896192e-05*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00017408127*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.9p
CGK G K 4.1p
CAK A K 3.4p
.ENDS
