*
* Generic triode model: 12A
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:27 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT 12A A G K
.param GG {(V(G,K)+-0.99999998)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.02099402*EP)^-0.30518364)}
.param M2 {((0.83094039*URAMP(GG+EP/8.0527506))^1.8051836)}
.param P  {(0.00060950916*URAMP(GG+EP/9.6911291)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00037491826*M1*M2)}
.param IG {(0.00030475458*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00040148822*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 8.5p
CGK G K 4p
CAK A K 2p
.ENDS
