*
* Generic triode model: 300B
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:52 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 300B A G K
.param GG {(V(G,K)+0.99996017)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.038949013*EP)^-0.25159159)}
.param M2 {((0.85636401*URAMP(GG+EP/3.6877954))^1.7515916)}
.param P  {(0.0011156138*URAMP(GG+EP/4.3063409)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00071191966*M1*M2)}
.param IG {(0.00055780691*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00096815606*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 15p
CGK G K 8.5p
CAK A K 4.1p
.ENDS
