*
* Generic triode model: 354V
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:54 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 354V A G K
.param GG {(V(G,K)+0.65601816)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.006476558*EP)^-0.39630014)}
.param M2 {((0.79101402*URAMP(GG+EP/32.268063))^1.8963001)}
.param P  {(0.0016633526*URAMP(GG+EP/40.793288)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00098151348*M1*M2)}
.param IG {(0.00083167629*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00089321233*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2p
CGK G K 2p
CAK A K 2p
.ENDS
