*
* Generic triode model: 5751
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:03 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 5751 A G K
.param GG {(V(G,K)+0.5559861)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0052861104*EP)^-0.6766372)}
.param M2 {((0.68913644*URAMP(GG+EP/58.807619))^2.1766372)}
.param P  {(0.0013669039*URAMP(GG+EP/85.335234)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00079762831*M1*M2)}
.param IG {(0.00068345195*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00070754928*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.4p
CGK G K 1.4p
CAK A K 0.5p
.ENDS
