*
* Generic triode model: 6336
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:17 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6336 A G K
.param GG {(V(G,K)+0.80124916)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.24089702*EP)^-1.5151382)}
.param M2 {((0.49748964*URAMP(GG+EP/2.0859966))^3.0151382)}
.param P  {(0.0055122338*URAMP(GG+EP/4.1930453)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0055967398*M1*M2)}
.param IG {(0.0027561169*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0048413089*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 16p
CGK G K 14p
CAK A K 5p
.ENDS
