*
* Generic triode model: 6350
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:18 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6350 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.018707344*EP)^-0.6749557)}
.param M2 {((0.68966922*URAMP(GG+EP/16.588714))^2.1749557)}
.param P  {(0.0025107579*URAMP(GG+EP/24.053145)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0014646013*M1*M2)}
.param IG {(0.001255379*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0014135709*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 3.2p
CGK G K 3.6p
CAK A K 0.6p
.ENDS
