*
* Generic triode model: 6BQ6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:21 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6BQ6T A G K
.param GG {(V(G,K)+-0.12830687)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.15009144*EP)^-1.2848724)}
.param M2 {((0.53862432*URAMP(GG+EP/3.0739639))^2.7848724)}
.param P  {(0.0022372419*URAMP(GG+EP/5.7070648)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0018337045*M1*M2)}
.param IG {(0.0011186209*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0017316916*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 6.4p
CGK G K 8.7p
CAK A K 6.4p
.ENDS
