*
* Generic triode model: 6C5
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:28 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT 6C5 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.02848961*EP)^-1.0152318)}
.param M2 {((0.5963665*URAMP(GG+EP/14.167744))^2.5152318)}
.param P  {(0.00080299639*URAMP(GG+EP/23.756774)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00054026317*M1*M2)}
.param IG {(0.0004014982*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00045272916*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.8p
CGK G K 4p
CAK A K 13p
.ENDS
