*
* Generic triode model: 6CB6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:37 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6CB6T A G K
.param GG {(V(G,K)+0.7350712)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.031445788*EP)^-2.20504)}
.param M2 {((0.40485393*URAMP(GG+EP/18.926098))^3.70504)}
.param P  {(0.0046867337*URAMP(GG+EP/46.747967)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.010960467*M1*M2)}
.param IG {(0.0023433669*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0024945513*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.6p
CGK G K 3.9p
CAK A K 1.9p
.ENDS
