*
* Generic triode model: 6EM71
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:56 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6EM71 A G K
.param GG {(V(G,K)+0.75136004)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.00038946438*EP)^-0.038461538)}
.param M2 {((0.975*URAMP(GG+EP/64.190723))^1.5384615)}
.param P  {(0.00085260112*URAMP(GG+EP/65.836639)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00074054441*M1*M2)}
.param IG {(0.00042630056*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00044579952*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.8p
CGK G K 2.2p
CAK A K 0.6p
.ENDS
