*
* Generic triode model: 6F5
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:02 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT 6F5 A G K
.param GG {(V(G,K)+0.58201919)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0023425283*EP)^-0.39892191)}
.param M2 {((0.7899219*URAMP(GG+EP/89.68007))^1.8989219)}
.param P  {(0.00094722724*URAMP(GG+EP/113.5303)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00055846113*M1*M2)}
.param IG {(0.00047361362*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00048615622*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2p
CGK G K 6p
CAK A K 12p
.ENDS
