*
* Generic triode model: 6GA4
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:06 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6GA4 A G K
.param GG {(V(G,K)+0.99999993)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.049332301*EP)^-1.0124121)}
.param M2 {((0.59703582*URAMP(GG+EP/8.1683638))^2.5124121)}
.param P  {(0.0045336089*URAMP(GG+EP/13.681531)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0030450256*M1*M2)}
.param IG {(0.0022668045*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0027728299*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 6.5p
CGK G K 5p
CAK A K 1.2p
.ENDS
