*
* Generic triode model: 6JB5T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:15 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6JB5T A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.16129088*EP)^-2.7283665)}
.param M2 {((0.35474692*URAMP(GG+EP/4.0005552))^4.2283665)}
.param P  {(0.0020818822*URAMP(GG+EP/11.277209)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0106492*M1*M2)}
.param IG {(0.0010409411*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0013239066*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4.1p
CGK G K 5.4p
CAK A K 6p
.ENDS
