*
* Generic triode model: 6KM6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:37 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6KM6T A G K
.param GG {(V(G,K)+0.57761874)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.52339318*EP)^-5.2554363)}
.param M2 {((0.22204339*URAMP(GG+EP/1.4863713))^6.7554363)}
.param P  {(0.006536245*URAMP(GG+EP/6.6940577)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*4.7534114*M1*M2)}
.param IG {(0.0032681225*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0047861683*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.6p
CGK G K 12.6p
CAK A K 7.9p
.ENDS
