*
* Generic triode model: 6LF6T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:41 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6LF6T A G K
.param GG {(V(G,K)+0.95447628)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.32637983*EP)^-2.7688412)}
.param M2 {((0.35138341*URAMP(GG+EP/1.987306))^4.2688412)}
.param P  {(0.0091876684*URAMP(GG+EP/5.6556625)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.05015216*M1*M2)}
.param IG {(0.0045938342*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0071353288*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 16.4p
CGK G K 20.9p
CAK A K 16.2p
.ENDS
