*
* Generic triode model: 6U8T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:00 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6U8T A G K
.param GG {(V(G,K)+0.99995916)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.035181787*EP)^-2.5690962)}
.param M2 {((0.36863223*URAMP(GG+EP/17.94587))^4.0690962)}
.param P  {(0.0033085897*URAMP(GG+EP/48.682314)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.013182953*M1*M2)}
.param IG {(0.0016542949*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0017567609*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.8p
CGK G K 2.8p
CAK A K 2p
.ENDS
