*
* Generic triode model: 75
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:46 2008
*          Plate
*          | Grid
*          | | Cathode
*          | | |
.SUBCKT 75 A G K
.param GG {(V(G,K)+0.62861222)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0015984063*EP)^-0.25776155)}
.param M2 {((0.85335807*URAMP(GG+EP/91.742588))^1.7577615)}
.param P  {(0.00073974709*URAMP(GG+EP/107.50773)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00046981663*M1*M2)}
.param IG {(0.00036987355*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00038021882*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.7p
CGK G K 1.7p
CAK A K 3.8p
.ENDS
