*
* Generic triode model: 801
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:56 2008
*           Plate
*           | Grid
*           | | Cathode
*           | | |
.SUBCKT 801 A G K
.param GG {(V(G,K)+0.99999971)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0050075033*EP)^-0.062819059)}
.param M2 {((0.95980401*URAMP(GG+EP/8.027152))^1.5628191)}
.param P  {(0.00024894009*URAMP(GG+EP/8.3633241)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00020395304*M1*M2)}
.param IG {(4.8000001e-05*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.000225*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 6p
CGK G K 4.5p
CAK A K 1.5p
.ENDS
