*
* Generic triode model: ECC35
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:39 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT ECC35 A G K
.param GG {(V(G,K)+0.62544373)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0050202395*EP)^-0.5890158)}
.param M2 {((0.71804148*URAMP(GG+EP/56.164356))^2.0890158)}
.param P  {(0.001261268*URAMP(GG+EP/78.218818)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00072725712*M1*M2)}
.param IG {(0.000630634*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00065489844*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 3p
CGK G K 3p
CAK A K 1.3p
.ENDS
