*
* Generic triode model: EF39T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:46:08 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT EF39T A G K
.param GG {(V(G,K)+0.0036430998)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.43484193*EP)^-13.214995)}
.param M2 {((0.10193683*URAMP(GG+EP/2.0652635))^14.714995)}
.param P  {(0.0015911301*URAMP(GG+EP/20.260228)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*4892774400*M1*M2)}
.param IG {(0.00079556505*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00091480891*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 16.5p
CGK G K 23.5p
CAK A K 15.2p
.ENDS
