*
* Generic triode model: KT66T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:54 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT KT66T A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.051887963*EP)^-0.76669755)}
.param M2 {((0.66175569*URAMP(GG+EP/6.5187433))^2.2666975)}
.param P  {(0.0018223197*URAMP(GG+EP/9.8506796)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0010893248*M1*M2)}
.param IG {(0.00091115984*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0011955789*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 6.5p
CGK G K 8.1p
CAK A K 9p
.ENDS
