*
* Generic triode model: KT88T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:55 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT KT88T A G K
.param GG {(V(G,K)+0.99999999)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.097534908*EP)^-1.4398564)}
.param M2 {((0.51022901*URAMP(GG+EP/5.0214944))^2.9398564)}
.param P  {(0.0031096914*URAMP(GG+EP/9.8416483)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0029317575*M1*M2)}
.param IG {(0.0015548457*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0020406477*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 7.2p
CGK G K 9p
CAK A K 10.9p
.ENDS
