*
* Generic triode model: WE310AT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:11 2008
*               Plate
*               | Grid
*               | | Cathode
*               | | |
.SUBCKT WE310AT A G K
.param GG {(V(G,K)+0.54054476)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.010235898*EP)^-0.32209043)}
.param M2 {((0.82323027*URAMP(GG+EP/17.269587))^1.8220904)}
.param P  {(0.00076747724*URAMP(GG+EP/20.977833)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00046759791*M1*M2)}
.param IG {(0.00038373862*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00043926524*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.4p
CGK G K 3.6p
CAK A K 9p
.ENDS
